=== debian/changelog ===
ros-noetic-assisted-teleop (0.4.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 23 Aug 2022 22:00:00 -0000

ros-noetic-assisted-teleop (0.4.0-1focal) focal; urgency=high

  * Use non-deprecated filter_base header
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 06 Mar 2022 23:00:00 -0000

ros-noetic-assisted-teleop (0.3.4-1focal) focal; urgency=high

  * Initial release into noetic
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 18 Jun 2020 22:00:00 -0000

ros-noetic-assisted-teleop (0.3.3-1focal) focal; urgency=high

  * assisted_teleop: Rename library laser_scan_filters
    This fixes a name clash with the package laser_filters.
    Fixes #42 <https://github.com/ros-planning/navigation_experimental/issues/42> .
  * Add READMEs
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 14 Oct 2019 22:00:00 -0000

ros-noetic-assisted-teleop (0.3.2-1focal) focal; urgency=high

  * Fix some includes
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-noetic-assisted-teleop (0.3.1-1focal) focal; urgency=high

  * assisted_teleop: Don't link against Eigen_LIBRARIES
    That variable is not set. Eigen is a header-only library.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 04 Sep 2018 22:00:00 -0000

ros-noetic-assisted-teleop (0.3.0-1focal) focal; urgency=high

  * Convert to TF2 + new navigation API (for melodic)
  * Use non deprecated pluginlib macro + headers
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 03 Sep 2018 22:00:00 -0000

ros-noetic-assisted-teleop (0.2.0-1focal) focal; urgency=high

  * Initial release into indigo, kinetic, lunar and melodic
  * Contributors: Martin Günther, V. David Lu!!, Dave Hershberger, Eitan Marder-Eppstein, Jon Binney, Kaijen Hsiao, Vincent Rabaud, Brian Gerkey, Ken Conley

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 02 Sep 2018 22:00:00 -0000
