=== debian/control ===
Source: ros-noetic-assisted-teleop
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-actionlib, ros-noetic-angles, ros-noetic-base-local-planner, ros-noetic-catkin, ros-noetic-costmap-2d, ros-noetic-filters, ros-noetic-geometry-msgs, ros-noetic-message-filters, ros-noetic-move-base-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-sensor-msgs, ros-noetic-tf2-ros
Homepage: http://wiki.ros.org/assisted_teleop
Standards-Version: 3.9.2

Package: ros-noetic-assisted-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-actionlib, ros-noetic-angles, ros-noetic-base-local-planner, ros-noetic-costmap-2d, ros-noetic-filters, ros-noetic-geometry-msgs, ros-noetic-message-filters, ros-noetic-move-base-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-sensor-msgs, ros-noetic-tf2-ros
Description: The assisted_teleop node subscribes to a desired trajectory topic (geometry_msgs/Twist) and uses TrajectoryPlannerROS to find a valid trajectory close to the desired trajectory before republishing.
 Useful for filtering teleop commands while avoiding obstacles. This package also contains LaserScanMaxRangeFilter, which is a LaserScan filter plugin that takes max range values in a scan and turns them into valid values that are slightly less than max range.
